Viewing Issue Advanced Details Jump to Notes ] tmnt.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00952 Graphics Minor Have not tried Feb 7, 2008, 11:34 Sep 17, 2016, 00:30
Tester -Misc Reporters- View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved   Driver tmnt.cpp
Version 0.36b4 Fixed in Version 0.178 Build
Summary 00952: ssriders and clones: Characters judder when walking diagonally (possibly priority related).
Description Characters judder when walking diagonally (possibly priority related).

Update: The juddering isn't as severe in .72u1.

Tafoid: It only seems to happen when you are walking while the screen is scrolling. If the screen is fixed, I don't notice anything but smooth movement.
Steps To Reproduce
Additional Information Posted by Hazard / NeoGouki
Flags
Regression Version
Affected Sets / Systems ssriders and clones
Attached Files
zip file icon ssridersuac (state C).zip (292,301 bytes)  Jun 5, 2015, 16:17 by Pasky
Save state of problem area. Simply hold right with player 3's controls to display the issue.
zip file icon Sunset_PCB.zip (2,294,358 bytes)  Jun 5, 2015, 16:18 by Pasky
Short video clip showing what actually occurs on a Sunset riders ver UAC PCB


-  Notes
User avatar
No.00468
Tafoid
(Administrator)
Mar 29, 2008, 23:45
Flag is set for the game for "GAME_IMPERFECT_GRAPHICS". Should it be? Other than this one issue, I played through a whole game to the ending and I didn't notice anything else even resembling oddness. Any comments?
User avatar
No.07293
Samurai Fox
(Tester)
Mar 6, 2011, 08:42
edited on: Mar 6, 2011, 08:46


According to NeoAlec's video, this does not happen on real hardware. The juddering is more noticeable when the character is moving downward, diagonally. In MAME, when moving downward diagonally, it seems to assume the character is moving off a series of steps or something like that, causing him to "drop" several times?

User avatar
No.07302
Haze
(Senior Tester)
Mar 8, 2011, 14:32
It's probably a protection issue.

The protection simulation for SSRiders is rather complex, and there are a couple of unknowns, as well as other known cases where it fails.

It would be interesting to actually identify the chip and see if it's some kind of common MCU that can be dumped, or some custom programmed gate logic.
User avatar
No.11714
Pasky
(Tester)
Jun 5, 2015, 16:16
edited on: Jun 5, 2015, 16:19
This issue still occurs in 0.161. I have a version 4 Player UAC PCB and can confirm the diagonal movement is still not working correctly. It can also occur when walking off a flat platform you'll do the drop animation and then be put back on the platform and eventually you'll fall down.

Added a savestate for ssridersuac (MAME 64-Bit Windows v0.161) that shows the issue. Simply hold right as player 3 (bob) and you'll negotiate the slope and jitter down it. In addition I added a short video clip of the actual pcb showing how it is normally supposed to work.